import * as React from 'react';
import { ModifierKey } from '../types';
import Point from '../geom/Point';
export declare type AreaSelectionRef = (node: SVGGElement | null) => void;
export declare const useAreaSelection: (modifiers?: ModifierKey[]) => WithAreaSelectionProps;
export interface WithAreaSelectionProps {
    areaSelectionRef?: AreaSelectionRef;
    modifier?: ModifierKey;
    isAreaSelectDragging?: boolean;
    areaSelectDragStart?: Point;
    areaSelectDragEnd?: Point;
}
export declare const withAreaSelection: (modifier?: ModifierKey[]) => <P extends WithAreaSelectionProps>(WrappedComponent: React.ComponentType<P>) => React.FunctionComponent<Omit<P, keyof WithAreaSelectionProps>>;
//# sourceMappingURL=useAreaSelection.d.ts.map