import { __rest } from "tslib";
import * as React from 'react';
import { observer } from 'mobx-react';
import DefaultGroupExpanded from './DefaultGroupExpanded';
import { isNode } from '../../types';
import { Dimensions } from '../../geom';
import DefaultGroupCollapsed from './DefaultGroupCollapsed';
const DefaultGroupInner = observer((_a) => {
    var { className, element, onCollapseChange } = _a, rest = __rest(_a, ["className", "element", "onCollapseChange"]);
    const handleCollapse = (group, collapsed) => {
        if (collapsed && rest.collapsedWidth !== undefined && rest.collapsedHeight !== undefined) {
            group.setDimensions(new Dimensions(rest.collapsedWidth, rest.collapsedHeight));
        }
        group.setCollapsed(collapsed);
        onCollapseChange && onCollapseChange(group, collapsed);
    };
    if (element.isCollapsed()) {
        return (React.createElement(DefaultGroupCollapsed, Object.assign({ className: className, element: element, onCollapseChange: handleCollapse }, rest)));
    }
    return React.createElement(DefaultGroupExpanded, Object.assign({ className: className, element: element, onCollapseChange: handleCollapse }, rest));
});
const DefaultGroup = (_a) => {
    var { element } = _a, rest = __rest(_a, ["element"]);
    if (!isNode(element)) {
        throw new Error('DefaultGroup must be used only on Node elements');
    }
    return React.createElement(DefaultGroupInner, Object.assign({ element: element }, rest));
};
export default DefaultGroup;
//# sourceMappingURL=DefaultGroup.js.map