import * as React from 'react';
import { css } from '@patternfly/react-styles';
import styles from '../../../css/topology-components';
const LabelIcon = React.forwardRef(({ className, x, y, width, height, iconClass, icon, padding = 4, innerRef }, circleRef) => {
    const radius = width / 2;
    const cx = x - radius;
    const cy = y + height / 2;
    const innerX = x - width + padding + 1;
    const innerY = y + padding + 1;
    const innerWidth = width - padding * 2 - 2; // -2 for 1px border on each side
    const innerHeight = height - padding * 2 - 2; // -2 for 1px border on each side
    return (React.createElement("g", { className: css(styles.topologyNodeLabelIcon, className), ref: innerRef },
        React.createElement("circle", { className: css(styles.topologyNodeLabelIconBackground), ref: circleRef, cx: cx, cy: cy, r: radius }),
        icon ? (React.createElement("foreignObject", { className: css(styles.topologyNodeLabelIcon), x: innerX, y: innerY, width: Math.max(innerWidth, 0), height: Math.max(innerHeight, 0) }, icon)) : (React.createElement("image", { x: innerX, y: innerY, width: Math.max(innerWidth, 0), height: Math.max(innerHeight, 0), xlinkHref: iconClass }))));
});
export default LabelIcon;
//# sourceMappingURL=LabelIcon.js.map