import { AbstractAnchor } from '../../../anchors';
import { Point } from '../../../geom';
export default class TaskGroupTargetAnchor extends AbstractAnchor {
    constructor(owner, vertical = false, offset = 0) {
        super(owner);
        this.vertical = false;
        this.anchorOffset = 0;
        this.vertical = vertical;
        this.anchorOffset = offset;
    }
    getLocation() {
        return this.getReferencePoint();
    }
    getReferencePoint() {
        const bounds = this.owner.getBounds();
        if (this.vertical) {
            return new Point(bounds.x + bounds.width / 2, bounds.y - this.anchorOffset);
        }
        return new Point(bounds.x - this.anchorOffset, bounds.y + bounds.height / 2);
    }
}
//# sourceMappingURL=TaskGroupTargetAnchor.js.map