import * as React from 'react';
import { GraphElement } from '../../types';
import { WhenStatus } from '../types';
import { OnSelect } from '../../behavior';
export declare const DEFAULT_WHEN_SIZE = 12;
export declare const DEFAULT_WHEN_OFFSET = 12;
interface WhenDecoratorProps {
    /** Additional classes added to the node */
    className?: string;
    /** The graph node element to represent */
    element: GraphElement;
    /** Offset distance from the start of the node area  (horizontal layout only) */
    leftOffset?: number;
    /** Offset distance from the start of the node area  (vertical layout only) */
    topOffset?: number;
    /** Length of the edge between the when decorator and the node */
    edgeLength?: number;
    /** Width of the when decorator */
    width?: number;
    /** Height of the when decorator */
    height?: number;
    /** WhenStatus to depict */
    status?: WhenStatus;
    /** Flag indicating the status indicator */
    showStatusState?: boolean;
    /** Flag if the tooltip is disabled */
    disableTooltip?: boolean;
    /** Tooltip to show on decorator hover */
    toolTip?: React.ReactNode;
    /** Flag if the element selected. Part of WithSelectionProps */
    selected?: boolean;
    /** Function to call when the element should become selected (or deselected). Part of WithSelectionProps */
    onSelect?: OnSelect;
}
export declare const WhenDecorator: React.FC<WhenDecoratorProps>;
export default WhenDecorator;
//# sourceMappingURL=WhenDecorator.d.ts.map