import { PipelineNodeModel, RunStatus, WhenStatus } from '../types';
import { EdgeModel } from '../../types';
export declare const nonShadowModifiers: string[];
export declare const getRunStatusModifier: (status: RunStatus) => string;
export declare const getWhenStatusModifier: (status: WhenStatus) => string;
/**
 * parameters:
 *   nodes: PipelineNodeModel[] - List of task and finally nodes in the model
 *   spacerNodeType: string     - Type to use for Spacer nodes
 *   finallyNodeTypes: string[] - Types to consider as finally nodes on incoming nodes
 *
 * Returns:
 *   PipelineNodeModel[]: a list of spacer nodes required to layout the pipeline view
 **/
export declare const getSpacerNodes: (nodes: PipelineNodeModel[], spacerNodeType?: string, finallyNodeTypes?: string[]) => PipelineNodeModel[];
export declare const addSpacerNodes: (nodes: PipelineNodeModel[], addSpacersToGroups?: boolean, spacerNodeType?: string, finallyNodeTypes?: string[]) => PipelineNodeModel[];
export declare const getEdgesFromNodes: (nodes: PipelineNodeModel[], spacerNodeType?: string, edgeType?: string, spacerEdgeType?: string, finallyNodeTypes?: string[], finallyEdgeType?: string) => EdgeModel[];
//# sourceMappingURL=utils.d.ts.map