import { action, observable, makeObservable } from 'mobx';
export default class Stateful {
    constructor() {
        this.state = {};
        makeObservable(this, {
            state: observable.shallow,
            setState: action
        });
    }
    getState() {
        return this.state;
    }
    setState(state) {
        if (state) {
            Object.assign(this.state, state);
        }
    }
}
//# sourceMappingURL=Stateful.js.map