"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const React = tslib_1.__importStar(require("react"));
const react_core_1 = require("@patternfly/react-core");
const react_styles_1 = require("@patternfly/react-styles");
const topology_components_1 = tslib_1.__importDefault(require("../../css/topology-components"));
// FIXME fully qualified due to the effect of long build times on storybook
const Popper_1 = tslib_1.__importDefault(require("../popper/Popper"));
const ContextMenu = (_a) => {
    var { children, open = true, onRequestClose } = _a, other = tslib_1.__rest(_a, ["children", "open", "onRequestClose"]);
    const [isOpen, setOpen] = React.useState(!!open);
    React.useEffect(() => {
        setOpen(open);
    }, [open]);
    const handleOnRequestClose = React.useCallback(() => {
        onRequestClose ? onRequestClose() : setOpen(false);
    }, [onRequestClose]);
    React.useEffect(() => {
        if (isOpen) {
            setOpen(false);
            requestAnimationFrame(() => setOpen(true));
        }
        // eslint-disable-next-line react-hooks/exhaustive-deps
    }, [children]);
    return (React.createElement(Popper_1.default, Object.assign({}, other, { closeOnEsc: true, closeOnOutsideClick: true, open: isOpen, onRequestClose: handleOnRequestClose }),
        React.createElement(react_core_1.Dropdown, { onSelect: handleOnRequestClose, toggle: () => React.createElement(React.Fragment, null), className: (0, react_styles_1.css)(topology_components_1.default.topologyContextMenuCDropdownMenu), popperProps: { appendTo: 'inline' } }, children)));
};
exports.default = ContextMenu;
//# sourceMappingURL=ContextMenu.js.map