"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const React = tslib_1.__importStar(require("react"));
const mobx_react_1 = require("mobx-react");
const DefaultGroupExpanded_1 = tslib_1.__importDefault(require("./DefaultGroupExpanded"));
const types_1 = require("../../types");
const geom_1 = require("../../geom");
const DefaultGroupCollapsed_1 = tslib_1.__importDefault(require("./DefaultGroupCollapsed"));
const DefaultGroupInner = (0, mobx_react_1.observer)((_a) => {
    var { className, element, onCollapseChange } = _a, rest = tslib_1.__rest(_a, ["className", "element", "onCollapseChange"]);
    const handleCollapse = (group, collapsed) => {
        if (collapsed && rest.collapsedWidth !== undefined && rest.collapsedHeight !== undefined) {
            group.setDimensions(new geom_1.Dimensions(rest.collapsedWidth, rest.collapsedHeight));
        }
        group.setCollapsed(collapsed);
        onCollapseChange && onCollapseChange(group, collapsed);
    };
    if (element.isCollapsed()) {
        return (React.createElement(DefaultGroupCollapsed_1.default, Object.assign({ className: className, element: element, onCollapseChange: handleCollapse }, rest)));
    }
    return React.createElement(DefaultGroupExpanded_1.default, Object.assign({ className: className, element: element, onCollapseChange: handleCollapse }, rest));
});
const DefaultGroup = (_a) => {
    var { element } = _a, rest = tslib_1.__rest(_a, ["element"]);
    if (!(0, types_1.isNode)(element)) {
        throw new Error('DefaultGroup must be used only on Node elements');
    }
    return React.createElement(DefaultGroupInner, Object.assign({ element: element }, rest));
};
exports.default = DefaultGroup;
//# sourceMappingURL=DefaultGroup.js.map