"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const anchors_1 = require("../../../anchors");
const geom_1 = require("../../../geom");
class TaskGroupTargetAnchor extends anchors_1.AbstractAnchor {
    constructor(owner, vertical = false, offset = 0) {
        super(owner);
        this.vertical = false;
        this.anchorOffset = 0;
        this.vertical = vertical;
        this.anchorOffset = offset;
    }
    getLocation() {
        return this.getReferencePoint();
    }
    getReferencePoint() {
        const bounds = this.owner.getBounds();
        if (this.vertical) {
            return new geom_1.Point(bounds.x + bounds.width / 2, bounds.y - this.anchorOffset);
        }
        return new geom_1.Point(bounds.x - this.anchorOffset, bounds.y + bounds.height / 2);
    }
}
exports.default = TaskGroupTargetAnchor;
//# sourceMappingURL=TaskGroupTargetAnchor.js.map