"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const mobx_1 = require("mobx");
class Stateful {
    constructor() {
        this.state = {};
        (0, mobx_1.makeObservable)(this, {
            state: mobx_1.observable.shallow,
            setState: mobx_1.action
        });
    }
    getState() {
        return this.state;
    }
    setState(state) {
        if (state) {
            Object.assign(this.state, state);
        }
    }
}
exports.default = Stateful;
//# sourceMappingURL=Stateful.js.map